## openms 2.6.0%2Bcleaned1

=== src/tests/class_tests/CMakeLists.txt ===
# --------------------------------------------------------------------------
#                   OpenMS -- Open-Source Mass Spectrometry
# --------------------------------------------------------------------------
# Copyright The OpenMS Team -- Eberhard Karls University Tuebingen,
# ETH Zurich, and Freie Universitaet Berlin 2002-2020.
#
# This software is released under a three-clause BSD license:
#  * Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
#  * Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#  * Neither the name of any author or any participating institution
#    may be used to endorse or promote products derived from this software
#    without specific prior written permission.
# For a full list of authors, refer to the file AUTHORS.
# --------------------------------------------------------------------------
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL ANY OF THE AUTHORS OR THE CONTRIBUTING
# INSTITUTIONS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# --------------------------------------------------------------------------
# $Maintainer: Stephan Aiche $
# $Authors: Stephan Aiche $
# --------------------------------------------------------------------------

cmake_minimum_required(VERSION 3.8.0 FATAL_ERROR)
project("OpenMS_class_tests")

#------------------------------------------------------------------------------
# set new CMAKE_RUNTIME_OUTPUT_DIRECTORY for tests and remember old setting
set(_TMP_CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_RUNTIME_OUTPUT_DIRECTORY})
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/bin)

#------------------------------------------------------------------------------
# add OpenSWATHAlgo specific tests
add_subdirectory(openswathalgo)

#------------------------------------------------------------------------------
# add OpenMS specific tests
add_subdirectory(openms)

#------------------------------------------------------------------------------
# add OpenMS specific tests
add_subdirectory(superhirn)

if(WITH_GUI)
  #------------------------------------------------------------------------------
  # add OpenMS_GUI specific tests
  add_subdirectory(openms_gui)
endif()

#------------------------------------------------------------------------------
# restore old CMAKE_RUNTIME_OUTPUT_DIRECTORY
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${_TMP_CMAKE_RUNTIME_OUTPUT_DIRECTORY})

=== share/OpenMS/examples/external_code/CMakeLists.txt ===
### example CMakeLists.txt to develop C++ programs using OpenMS
project("Example_Project_using_OpenMS")
cmake_minimum_required(VERSION 2.8.3)

## list all your executables here (a corresponding .cpp file should exist, e.g. Main.cpp)
set(my_executables
	Main
)

## list all classes here, which are required by your executables
## (all these classes will be linked into a library)
set(my_sources
	ExampleLibraryFile.cpp
)

## find OpenMS configuration and register target "OpenMS" (our library)
find_package(OpenMS)
## if the above fails you can try calling cmake with -D OpenMS_DIR=/path/to/OpenMS/
## or modify the find_package() call accordingly
## find_package(OpenMS PATHS "</path/to/OpenMS//")

# check whether the OpenMS package was found
if (OpenMS_FOUND)

  # check if the variable containing the include directories is defined
  if(NOT OpenMS_INCLUDE_DIRECTORIES)
    set(_message "The variable \${OpenMS_INCLUDE_DIRECTORIES} is not defined.")
    set(_message "${_message}This CMakeLists.txt and your build of OpenMS seem incompatible.")
    set(_message "${_message}Please use the latest version from the OpenMS release!")
    message(FATAL_ERROR ${_message})
  endif()

  ## include directories for OpenMS headers (and contrib)
  # Note: If you want to link against a specific library contained
  #       in the OpenMS package you should also list the
  #       corresponding include variable here, e.g.,
  #       OpenMS_GUI -> ${OpenMS_GUI_INCLUDE_DIRECTORIES}
  include_directories(${OpenMS_INCLUDE_DIRECTORIES})

  ## append precompiler macros and compiler flags specific to OpenMS
  ## Warning: this could be harmful to your project. Check this if problems occur.
  ## Also, use this to add your own compiler flags, e.g. for OpenMP support.
  ## e.g. for Visual Studio use /openmp
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OPENMS_ADDCXX_FLAGS}")
  # set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OPENMS_ADDCXX_FLAGS} /openmp")
  
  add_definitions(/DBOOST_ALL_NO_LIB) ## disable auto-linking of boost libs (Boost tends to guess wrong lib names)
  
  ## library with additional classes from above
  add_library(my_custom_lib STATIC ${my_sources})

  ## add targets for the executables
  foreach(i ${my_executables})
    add_executable(${i} ${i}.cpp)
    ## link executables against OpenMS
    target_link_libraries(${i} OpenMS my_custom_lib)
  endforeach(i)


else(OpenMS_FOUND)
  message(FATAL_ERROR "OpenMSConfig.cmake file not found!")
endif(OpenMS_FOUND)

=== src/tests/class_tests/openswathalgo/CMakeLists.txt ===
# --------------------------------------------------------------------------
#                   OpenMS -- Open-Source Mass Spectrometry
# --------------------------------------------------------------------------
# Copyright The OpenMS Team -- Eberhard Karls University Tuebingen,
# ETH Zurich, and Freie Universitaet Berlin 2002-2020.
#
# This software is released under a three-clause BSD license:
#  * Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
#  * Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#  * Neither the name of any author or any participating institution
#    may be used to endorse or promote products derived from this software
#    without specific prior written permission.
# For a full list of authors, refer to the file AUTHORS.
# --------------------------------------------------------------------------
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL ANY OF THE AUTHORS OR THE CONTRIBUTING
# INSTITUTIONS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# --------------------------------------------------------------------------
# $Maintainer: Witold Wolski $
# $Authors: Witold Wolski, Stephan Aiche $
# --------------------------------------------------------------------------

cmake_minimum_required(VERSION 3.8.0 FATAL_ERROR)
project("OpenMS_class_tests_openswathalgo")

# --------------------------------------------------------------------------
# add include directories
include_directories(SYSTEM ${OpenMS_INCLUDE_DIRECTORIES})

# --------------------------------------------------------------------------
# list of available tests
set(openswath_algo_tests
  MRMScoring_test
  Scoring_test
  Datastructures_test
  TestConvert
  DiaHelpers_test
)

#------------------------------------------------------------------------------
# QT dependencies
find_package(Qt5 COMPONENTS Core Network REQUIRED)
if (NOT Qt5Network_FOUND)
  message(STATUS "QtNetwork module not found!")
  message(FATAL_ERROR "To find a custom Qt installation use: cmake <..more options..> -D QT_QMAKE_EXECUTABLE='<path_to_qmake(.exe)' <src-dir>")
endif()

# --------------------------------------------------------------------------
# add targets for the executables
foreach(i ${openswath_algo_tests})
  add_executable(${i} ${i}.cpp)
  target_link_libraries(${i} OpenSwathAlgo OpenMS)
  add_test(${i} ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/${i})
endforeach(i)

=== debian/control ===
Source: openms
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Build-Depends: debhelper-compat (= 12),
 dh-exec (>= 0.3),
 dpkg-dev (>= 1.19.7),
 cmake (>= 3.1.2),
 libxerces-c-dev (>= 3.2.2),
 libeigen3-dev,
 libwildmagic-dev (>=5.17),
 libboost-dev,
 libboost-iostreams-dev,
 libboost-date-time-dev,
 libboost-math-dev,
 libsqlite3-dev,
 libsvm-dev (>= 3.21),
 libglpk-dev (>= 4.65),
 zlib1g-dev (>= 1.2.7),
 libbz2-dev (>= 1.0.6),
 cppcheck (>= 1.54),
 qtbase5-dev (>= 5.11.3),
 libqt5opengl5-dev (>= 5.11.3),
 libqt5svg5-dev (>= 5.11.3),
 coinor-libcbc-dev (>= 2.9.9),
 coinor-libcgl-dev (>= 0.59.10),
 libhdf5-dev,
 imagemagick,
 doxygen (>= 1.8.13),
 graphviz,
 texlive-extra-utils,
 texlive-latex-extra,
 texlive-latex-recommended,
 texlive-fonts-extra,
 texlive-font-utils,
 texlive-plain-generic,
 tex-gyre,
 ghostscript,
 texlive-fonts-recommended
Standards-Version: 4.5.0
Homepage: http://www.openms.de
Vcs-Browser: https://salsa.debian.org/debichem-team/openms
Vcs-Git: https://salsa.debian.org/debichem-team/openms.git


Package: libopenms2.6.0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         openms-common (= ${source:Version})
Breaks: libopenms2.5.0
Replaces: libopenms2.5.0
Conflicts: libopenms2.5.0
Suggests: openms-doc
Description: library for LC/MS data management and analysis - runtime
 OpenMS is a library for LC/MS data management and analysis. OpenMS
 offers an infrastructure for the development of mass
 spectrometry-related software and powerful 2D and 3D visualization
 solutions.
 .
 OpenMS offers analyses for various quantitation protocols, including
 label-free quantitation, SILAC, iTRAQ, SRM, SWATH…
 .
 It provides built-in algorithms for de-novo identification and
 database search, as well as adapters to other state-of-the art tools
 like X!Tandem, Mascot, OMSSA…
 .
 OpenMS supports the Proteomics Standard Initiative (PSI) formats for
 MS data and supports easy integration of tools into workflow engines
 like Knime, Galaxy, WS-Pgrade, and TOPPAS via the TOPPtools concept
 and a unified parameter handling.


Package: libopenms-dev
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libopenms2.6.0 (= ${binary:Version})
Suggests: openms-doc
Section: libdevel
Description: library for LC/MS data management and analysis - dev files
 OpenMS is a library for LC/MS data management and analysis. OpenMS
 offers an infrastructure for the development of mass
 spectrometry-related software and powerful 2D and 3D visualization
 solutions.
 .
 OpenMS offers analyses for various quantitation protocols, including
 label-free quantitation, SILAC, iTRAQ, SRM, SWATH…
 .
 It provides built-in algorithms for de-novo identification and
 database search, as well as adapters to other state-of-the art tools
 like X!Tandem, Mascot, OMSSA…
 .
 OpenMS supports the Proteomics Standard Initiative (PSI) formats for
 MS data and supports easy integration of tools into workflow engines
 like Knime, Galaxy, WS-Pgrade, and TOPPAS via the TOPPtools concept
 and a unified parameter handling.
 .
 This package ships the library development files.


Package: topp
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libopenms2.6.0 (= ${binary:Version}),
         openms-common (= ${source:Version})
Suggests: openms-doc
Description: set of programs implementing The OpenMS Proteomic Pipeline
 TOPP (the OpenMS proteomic pipeline) is a pipeline for the analysis
 of HPLC/MS data. It consists of a set of numerous small applications
 that can be chained together to create analysis pipelines tailored
 for a specific problem. The applications make use of the libopenms
 library. Some examples of these applications are :
 .
   - TOPPView: A viewer for mass spectrometry data.
   - TOPPAS: An assistant for GUI-driven TOPP workflow design.
   - DTAExtractor: Extracts spectra of an MS run file to several
     files in DTA format.
   - FileConverter:  Converts between different MS file formats.
   - FileFilter: Extracts or manipulates portions of data from peak,
     feature or consensus feature files.
   - SpectraMerger: Merges spectra from an LC/MS map, either by
     precursor or by RT blocks.
   - BaselineFilter: Removes the baseline from profile spectra using a
     top-hat filter.
   - InternalCalibration: Applies an internal calibration.
   - PTModel: Trains a model for the prediction of proteotypic
     peptides from a training set.
   - RTPredict: Predicts retention times for peptides using a model
     trained by RTModel.
   - ExecutePipeline: Executes workflows created by TOPPAS.


Package: openms-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: libopenms2.6.0 (= ${binary:Version}),
          topp (= ${binary:Version})
Description: package for LC/MS data management and analysis - shared data
 OpenMS is a package for LC/MS data management and analysis. OpenMS
 offers an infrastructure for the development of mass
 spectrometry-related software and powerful 2D and 3D visualization
 solutions.
 .
 OpenMS offers analyses for various quantitation protocols, including
 label-free quantitation, SILAC, iTRAQ, SRM, SWATH…
 .
 It provides built-in algorithms for de-novo identification and
 database search, as well as adapters to other state-of-the art tools
 like X!Tandem, Mascot, OMSSA…
 .
 OpenMS supports the Proteomics Standard Initiative (PSI) formats for
 MS data and supports easy integration of tools into workflow engines
 like Knime, Galaxy, WS-Pgrade, and TOPPAS via the TOPPtools concept
 and a unified parameter handling.
 .
 This package brings data shared by the different binaries of the
 OpenMS software package (libOpenMS and libOpenMS_GUI libraries and
 the OpenMS Proteomic Pipeline binary tools).


Package: openms-doc
Architecture: all
Depends: ${misc:Depends},
         libjs-jquery
Replaces: openms-doc (<= ${source:Version})
Suggests: libopenms2.6.0 (= ${binary:Version}),
          topp (= ${binary:Version})
Section: doc
Description: package for LC/MS data management and analysis - documentation
 OpenMS is a package for LC/MS data management and analysis. OpenMS
 offers an infrastructure for the development of mass
 spectrometry-related software and powerful 2D and 3D visualization
 solutions.
 .
 OpenMS offers analyses for various quantitation protocols, including
 label-free quantitation, SILAC, iTRAQ, SRM, SWATH…
 .
 It provides built-in algorithms for de-novo identification and
 database search, as well as adapters to other state-of-the art tools
 like X!Tandem, Mascot, OMSSA…
 .
 OpenMS supports the Proteomics Standard Initiative (PSI) formats for
 MS data and supports easy integration of tools into workflow engines
 like Knime, Galaxy, WS-Pgrade, and TOPPAS via the TOPPtools concept
 and a unified parameter handling.
 .
 This package brings full documentation for both the libopenms library
 package (libOpenMS and libOpenMS_GUI) and the OpenMS Proteomic
 Pipeline (topp) package.


Package: openms
Architecture: all
Depends: ${misc:Depends},
         libopenms2.6.0 (>= ${source:Version}),
         topp (>= ${source:Version})
Suggests: openms-doc
Description: package for LC/MS data management and analysis
 OpenMS is a package for LC/MS data management and analysis. OpenMS
 offers an infrastructure for the development of mass
 spectrometry-related software and powerful 2D and 3D visualization
 solutions.
 .
 TOPP (the OpenMS proteomic pipeline) is a pipeline for the analysis
 of HPLC/MS data. It consists of a set of numerous small applications
 that can be chained together to create analysis pipelines tailored
 for a specific problem.
 .
 This package is a metapackage that depends on both the libopenms
 library package (libOpenMS and libOpenMS_GUI) and the OpenMS
 Proteomic Pipeline (topp) package.
